liborigin2 29/08/2011

Public Types | Public Attributes | List of all members
Origin::TextProperties Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | Justify { Left, Center, Right }

## Public Attributes
Color | color
bool | fontBold
bool | fontItalic
unsigned short | fontSize
bool | fontUnderline
Justify | justify
short | rotation
bool | whiteOut
short | xOffset
short | yOffset

## Member Enumeration Documentation

## ◆ Justify

enum Origin::TextProperties::Justify

Enumerator
Left |
Center |
Right |

## Member Data Documentation

## ◆ color

Color Origin::TextProperties::color

## ◆ fontBold

bool Origin::TextProperties::fontBold

## ◆ fontItalic

bool Origin::TextProperties::fontItalic

## ◆ fontSize

unsigned short Origin::TextProperties::fontSize

## ◆ fontUnderline

bool Origin::TextProperties::fontUnderline

## ◆ justify

Justify Origin::TextProperties::justify

## ◆ rotation

short Origin::TextProperties::rotation

## ◆ whiteOut

bool Origin::TextProperties::whiteOut

## ◆ xOffset

short Origin::TextProperties::xOffset

## ◆ yOffset

short Origin::TextProperties::yOffset

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h